package com.gic.haoban.manage.api.service.chat;

import java.util.List;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.chat.ChatEventDTO;
import com.gic.haoban.manage.api.dto.chat.GroupChatDTO;
import com.gic.haoban.manage.api.dto.chat.GroupChatUserDTO;
import com.gic.haoban.manage.api.dto.qdto.chat.GroupChatSearchQDTO;
import com.gic.haoban.manage.api.dto.qdto.chat.GroupChatUserSearchQDTO;

public interface GroupChatApiService {

    /**
     * 
    * @Title: listPage
    * @Description: 群列表
    * @author xugh
    * @param qdto
    * @param basePageInfo
    * @return
    * @throws
     */
    public ServiceResponse<Page<GroupChatDTO>> listPage(GroupChatSearchQDTO qdto, BasePageInfo basePageInfo);
    
    /**
     * 
    * @Title: listUserPage
    * @Description: 群成员列表查询
    * @author xugh
    * @param qdto
    * @param basePageInfo
    * @return
    * @throws
     */
    public ServiceResponse<Page<GroupChatUserDTO>> listUserPage(GroupChatUserSearchQDTO qdto, BasePageInfo basePageInfo);

    /**
     * 
    * @Title: detail
    * @Description: 群详情
    * @author xugh
    * @param wxEnterpriseId
    * @param groupChatId
    * @return
    * @throws
     */
    public ServiceResponse<GroupChatDTO> detail(String wxEnterpriseId, Long groupChatId);

    /**
     * 
    * @Title: refreshChatInfo
    * @Description: 刷新群信息
    * @author xugh
    * @param groupChatId
    * @return
    * @throws
     */
    public ServiceResponse<Void> refreshChatInfo(Long groupChatId);

    /**
     * 
    * @Title: refreshChatInfo
    * @Description: 刷新群信息
    * @author xugh
    * @param groupChatId
    * @return
    * @throws
     */
    public ServiceResponse<Void> refreshWxEnterpriseChatInfo(String wxEnterpriseId);

    /**
     * 
    * @Title: updateChatEnterpriseId
    * @Description: 客户群认领,更新企业ID
    * @author xugh
    * @param wxEnterpriseId
    * @param enterpriseId
    * @param groupChatIdList
    * @return
    * @throws
     */
    public ServiceResponse<Void> updateChatEnterpriseId(String wxEnterpriseId, String enterpriseId,
            List<Long> groupChatIdList);

    /**
     * 
    * @Title: qwEventNotice
    * @Description: 企微事件通知
    * @author xugh
    * @param dto
    * @throws
     */
    public ServiceResponse<Void> qwEventNotice(ChatEventDTO dto);

}
